Subject: Re: [GSoC][PATCH] remote: relocate valid_remote_name

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 4 Feb 2025 08:55:30 +0100

On Tue, Feb 04, 2025 at 09:44:30AM +0530, Meet Soni wrote:
> Move the `valid_remote_name()` function from `refspec.h` to `remote.h` to
> better align with the separation of concerns.

Nit: you don't only move the function declaration from "refspec.h" to
"remote.h", but also move its definition from "refspec.c" to "remote.c".
So you might want to instead say that you move the function between
subsystems, which would imply both moves.

The change itself looks straight-forward to me. Did you happen to check
whether this allows you to drop any includes for "refspec.h"?

Thanks!

Patrick